package com.xhkjedu.sexam.config;

import org.springframework.amqp.core.Queue;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author ywx
 * @classname RabbitConfig
 * @description
 * @date 2021/6/18 12:51
 **/
@Configuration
public class RabbitConfig {

    @Value("${rabbitmq.examImgMergeQueue}")
    private String examImgMergeQueue;
    @Value("${rabbitmq.examImgMergeHandleQueue}")
    private String examImgMergeHandleQueue;
    @Value("${rabbitmq.examBaseToPdfQueue}")
    private String examBaseToPdfQueue;
    @Value("${rabbitmq.examBaseToPdfHandleQueue}")
    private String examBaseToPdfHandleQueue;

    @Bean
    public Queue examImgMergeQueue() {
        return new Queue(examImgMergeQueue);
    }

    @Bean
    public Queue examImgMergeHandleQueue() {
        return new Queue(examImgMergeHandleQueue);
    }

    @Bean
    public Queue examBaseToPdfQueue() {
        return new Queue(examBaseToPdfQueue);
    }

    @Bean
    public Queue examBaseToPdfHandleQueue() {
        return new Queue(examBaseToPdfHandleQueue);
    }

}
